var m_1571978527017Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>JSON parsing and filtering<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1571978527017\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">JSON parsing and filtering<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527017_N10006\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527017_N10007\"><span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span>  can parse JSON (JavaScript Object Notation) objects in requests and allows filtering of JSON attributes with allow rules and deny rules. Arguments in JSON structures are treated in exactly the same way as normal HTTP parameters. <\/p><div xmlns=\"\" class=\"container-warning notice\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/notice_white.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_notice\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1571978527017_N10033\">With Airlock Gateway 8.1 and later, JSON parsing configuration has become more granular. If you encounter false request blocking, follow the short instructions on how to disable JSON parsing at the end of this article.<\/p><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527017_N10029\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Generation of  <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span>  parameters from JSON objects<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527017_N1002A\">For a detailed description of the JSON object syntax please refer to <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/www.json.org\/\" target=\"_blank\">json.org<\/a>. If parsing of a JSON object fails due to illegal syntax, a message of type WR-SG-BLOCK-109-01 (JSON syntax error message) is written to the log. The log message indicates the position of the character for which parsing failed. <\/p><p class=\"par\" id=\"1571978527017_N1003F\"><strong class=\"emphasis\">Here is an example of a simple JSON object representing a user: <\/strong><\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10041\">{\r\n  \"firstName\": \"Simon\",\r\n  \"lastName\": \"Smith\",\r\n  \"age\": 25,\r\n  \"address\":\r\n    { \"streetAddress\": \"21 2nd Street\", \"city\": \"New York\", \"state\": \"NY\", \"postalCode\": \"10021\" },\r\n  \"phoneNumber\": [\r\n    { \"type\": \"home\", \"number\": \"212 555-1234\" },\r\n    { \"type\": \"fax\", \"number\": \"646 555-4567\" }\r\n  ],\r\n  \"newSubscription\": false,\r\n  \"companyName\": null\r\n}\r\n<\/pre><\/div><\/div><\/div><\/div><\/div><p class=\"par\" id=\"1571978527017_N10043\"><span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> automatically generates flattened parameters from object attributes. Parameter names start with \"#json\" and attribute names are separated by hashes (#). Entries in arrays are enumerated.  Parameter values are generated from the trimmed strings of the original JSON record values. <\/p><p class=\"par\" id=\"1571978527017_N10045\"><strong class=\"emphasis\">For example, the following parameters are generated from the above user object: <\/strong><\/p><table border=\"0\" cellspacing=\"0\" class=\"table table table- table-block-description table-\" id=\"1571978527017_N10047\"><thead class=\"thead\"><tr class=\"table-row\"><th class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-firstrow table-header table-header-horizontal table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527017_N10057\">Parameter Name<\/p><\/div><\/th><th class=\"table-cell table-cell table-cell-odd table-cell-firstrow table-cell-lastcolumn table-header table-header-horizontal table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527017_N1005B\">Parameter Value<\/p><\/div><\/th><\/tr><\/thead><tbody class=\"tbody\"><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527017_N10060\">#json#firstName<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527017_N10063\">Simon<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527017_N10067\">#json#lastName<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527017_N1006A\">Smith<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527017_N1006E\">#json#age<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527017_N10071\">25<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527017_N10075\">#json#address#streetAddress<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527017_N10078\">21 2nd Street<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527017_N1007C\">#json#address#city<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527017_N1007F\">New York<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527017_N10083\">#json#address#state<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527017_N10086\">NY<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527017_N1008A\">#json#address#postalCode<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527017_N1008D\">10021<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527017_N10091\">#json#phoneNumber#0#type<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527017_N10094\">home<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527017_N10098\">#json#phoneNumber#0#number<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527017_N1009B\">212 555-1234<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527017_N1009F\">#json#phoneNumber#1#type<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527017_N100A2\">fax<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527017_N100A6\">#json#phoneNumber#1#number<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527017_N100A9\">646 555-4567<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527017_N100AD\">#json#address#newSubscription<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527017_N100B0\">false<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-firstcolumn table-cell-lastrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527017_N100B4\">#json#address#companyName<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastrow table-cell-lastcolumn table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527017_N100B7\">null<\/p><\/div><\/td><\/tr><\/tbody><\/table><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527017_N100C6\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Filtering of JSON attributes<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527017_N100C7\">The parameters generated from JSON objects are treated the same way as parameters from GET or POST requests. That is, JSON parameters must comply with allow and deny rule limitations. <\/p><p class=\"par\" id=\"1571978527017_N100C9\">Also, parameters generated from JSON objects can be excluded from filters, just as ordinary parameters. For instance, to exclude all phone numbers in the above object from a deny rule, add this parameter exception: <code class=\"codeinline\">^#json#phonenumber#[[:digit:]]+#number$<\/code>.  <\/p><p class=\"par\" id=\"1571978527017_N100CE\">In addition every flattened parameter is counted as one parameter. This means that in this JSON example <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> counts 13 parameters. Please check if the \'Max parameters\' value in the allow rule is sufficient. <\/p><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527017_N101D5\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">How to disable JSON parsing<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527017_N101D8\">On mappings, JSON parsing-related configuration options are available on different tabs. Any JSON-related Airlock Gateway feature, e.g., <i class=\"italics\">JSON limit enforcement<\/i>, uses the JSON parser. <br\/>To ensure that JSON is not parsed perform the following steps on each related mapping:<\/p><ol class=\"enum-enum-instruction container-enum instruction fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"step\">On tab <span class=\"dialog\">Limits<\/span>, switch <i class=\"italics\">OFF<\/i> <span class=\"dialog\">JSON Limits<\/span>.<\/li><li class=\"step\">On tab <span class=\"dialog\">API Security<\/span>:<\/li><ol class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 Alpha\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">In section <span class=\"dialog\">Basic Call Verification<\/span>, uncheck <span class=\"dialog\">Treat JSON objects as parameters<\/span>.<\/li><li class=\"enum-element\">In section <span class=\"dialog\">OpenAPI<\/span>, uncheck <span class=\"dialog\">Enforce API<\/span>.<\/li><li class=\"enum-element\">In section <span class=\"dialog\">GraphQL<\/span>, uncheck <span class=\"dialog\">Enable parser<\/span>.<\/li><\/ol><li class=\"step\">On tab Advanced, choose a <span class=\"dialog\">JSON content type<\/span> regex that will <i class=\"italics\">not match<\/i> with JSON content.<\/li><\/ol><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527017_N101CB\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Further information and links<\/h2><\/div><\/header><div class=\" block-content-ct\"><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"><strong class=\"emphasis\">Internal links:<\/strong><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1583435032058.html\">Section \u2013 JSON Limits<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1582547570565.html\">Section \u2013 Basic Call Verification<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1582547570567.html\">Section \u2013 OpenAPI<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1681413668588.html\">Section \u2013 GraphQL<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1583435032062.html\">Section \u2013 Content Parsing<\/a><\/li><\/ul><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';