var m_1574686290832Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Session authorization<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1574686290832\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Session authorization<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1574686290832_N100A9\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1574686290832_N100AA\">Authorization of a user session is controlled by adding and removing roles and their corresponding timeouts. Access to a back-end application requiring a certain role is granted by adding this role to the user\'s session. There are three commands to add, remove and set roles in a user session: <\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\"><code class=\"codeinline\">ADD_CREDENTIALS<\/code>: add the roles listed in the command value<\/li><li class=\"enum-element\"><code class=\"codeinline\">REMOVE_CREDENTIALS<\/code>: remove the roles listed in the command value<\/li><li class=\"enum-element\"><code class=\"codeinline\">SET_CREDENTIALS<\/code>: remove all existing roles and set those listed in the command value<\/li><\/ul><p class=\"par\" id=\"1574686290832_N100BA\">Each time roles are added to a session, by default <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> automatically changes the session cookie to prevent <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/en.wikipedia.org\/wiki\/Session_fixation\" target=\"_blank\">session fixation<\/a> and similar attacks. <\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290832_N100CF\">The command syntax is: <\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100D1\">;; SET_CREDENTIALS, ADD_CREDENTIALS, REMOVE_CREDENTIALS\r\ncredential-command        = credential-command-name \"=\" credential-command-value\r\ncredential-command-name   = \"SET_CREDENTIALS\" | \"ADD_CREDENTIALS\" | \"REMOVE_CREDENTIALS\"\r\ncredential-command-value  = credential-definitions\r\n                            ;at this place \'credential-definitions\' must be percent encoded\r\n\r\ncredential-definitions    = credential-definition [ \",\" credential-definitions ]\r\ncredential-definition     = credential-name [ \":\" credential-timeout [ \":\" credential-lifetime [ \":\" keep-id-flag ] ] ]\r\ncredential-name           = 1*ALPHANUM\r\ncredential-timeout        = value-in-seconds\r\ncredential-lifetime       = value-in-seconds\r\nkeep-id-flag              = \"K\"\r\nvalue-in-seconds          = 1*DIGIT\r\nALPHANUM                  = ALPHA | DIGIT\r\n<\/pre><\/div><\/div><\/div><\/div><\/div><div xmlns=\"\" class=\"container-warning info\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/info_icon_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_info\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290832_N100D3\">The <span class=\"dialog\">credential-timeout<\/span> defines how long an idle session holds this specific role. If the specified timeout is 0 or if no timeout is specified at all, the configured session timeout is used. <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> support recommends to use a short session timeout which will be extended by one or more longer <span class=\"dialog\">credential-timeouts<\/span> after successful authentication.<\/p><\/div><\/div><\/div><\/div><\/div><p class=\"par\" id=\"1574686290832_N10102\">The <code class=\"codeinline\">credential-lifetime<\/code> can be set additionally to the <code class=\"codeinline\">credential-timeout<\/code>. If the specified lifetime is 0 or if no lifetime is specified at all, the configured session lifetime is used. The lifetime defines the longest possible use of a role. After this time the role will be removed. A credential-timeout with longer validity will not extend the credential-lifetime. To set the credential-lifetime and use the configured session timeout as the credential-timeout, use the value 0 for the credential-timeout, e.g. \"test:0:300\". The <code class=\"codeinline\">credential-definition<\/code>s \"test\", \"test:0\" and \"test:0:0\" are equivalent.<\/p><p class=\"par\" id=\"1574686290832_N1010E\">Lifetime settings (system session lifetime and credential-lifetime) are inelastic limitations. They ensure an upper limit of the access time.<\/p><p class=\"par\" id=\"1574686290832_N10111\">The <code class=\"codeinline\">keep-id-flag<\/code> indicates that it\'s not necessary to change the session cookie when adding the role. This flag must be used with caution, because when used incorrectly, <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/en.wikipedia.org\/wiki\/Session_fixation\" target=\"_blank\">session fixation<\/a> and similar attacks are possible.<\/p><p class=\"par\" id=\"1574686290832_N1012B\">To use the keep-id flag for a role but still use the configured session timeout for credential-timeout and the configured session lifetime for credential-lifetime, use the value 0 for the credential-timeout and credential-lifetime, e.g. \"test:0:0:K\".<\/p><p class=\"par\" id=\"1574686290832_N1012E\">For <code class=\"codeinline\">REMOVE_CREDENTIALS<\/code> the credential-timeout setting, the credential-lifetime setting and the keep-id flag have no meaning.<\/p><p class=\"par\" id=\"1574686290832_N1010C\"><span class=\"dialog\"><i class=\"italics\">Example:<\/i><\/span><br\/>The <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1574686290855.html\">pseudo code<\/a> example below shows how to set the three roles \"public:180\", \"employee:0:64800\", and \"secret:600:3600\" using the control API.  <\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290832_N1014B\">Pseudo code:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10098\">response.header=\"Set-Cookie: AL_CONTROL=\"+<span class=\"dialog\">URL_Encode(<\/span>\"SET_CREDENTIALS=\"+<span class=\"dialog\">URL_Encode(<\/span>\"public:180,employee:0:64800,secret:600:3600\"<span class=\"dialog\">))<\/span> Results in:<\/pre><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290832_N100A4\"> Results in:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100A6\">Set-Cookie: AL_CONTROL=SET_CREDENTIALS%3Dpublic%253A180%252Cemployee%253A0%253A64800%252Csecret%253A600%253A360<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';