var m_1574686290845Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Setting HTTP headers<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1574686290845\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Setting HTTP headers<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1574686290845_N103C1\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1574686290845_N103C2\">Each user session on <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> has its own header store. The headers in the header store are added to HTTP requests sent to the back-end server. The control API commands introduced below allow modification of the headers in the header store. Optionally, the HTTP headers can be restricted to certain <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1571978526996.html\">mappings<\/a>.<\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\"><code class=\"codeinline\">ADD_HEADERS<\/code>: add HTTP headers to the header store of the session<\/li><li class=\"enum-element\"><code class=\"codeinline\">REMOVE_HEADERS<\/code>: remove HTTP headers with the specified header name from the header store of the session (the header value is ignored).<\/li><li class=\"enum-element\"><code class=\"codeinline\">SET_HEADERS<\/code>: clear the header store of the session before adding new HTTP headers to it.<\/li><\/ul><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290845_N103E0\">The command syntax is:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N103E2\">;; SET_HEADERS, ADD_HEADERS, REMOVE_HEADERS\r\nheader-command            = header-command-name \"=\" header-command-value\r\nheader-command-name       = \"SET_HEADERS\" | \"ADD_HEADERS\" | \"REMOVE_HEADERS\"\r\nheader-command-value      = header-command-for-mapping-values\r\nheader-command-for-mapping-values = [ header-command-for-mapping-value [ \",\" header-command-for-mapping-values ] ]\r\nheader-command-for-mapping-value = header-definition [ \"@\" mapping-name ]\r\n                                   ;at this place \'header-definition\' must be percent encoded\r\n\r\nheader-definition         = header-name \":\" *SP header-value<\/pre><\/div><\/div><\/div><\/div><\/div><p class=\"par\" id=\"1574686290845_N103E4\">The header store consists of a list of global headers and separate lists of mapping-specific headers. Using the \"@mapping-name\" notation, it is possible to restrict the scope of headers to a specific mapping. If no mapping-name is provided, the header is set globally.<\/p><p class=\"par\" id=\"1574686290845_N103E6\">For a back-end server request, the matching mapping-specific headers are sent, together with the global headers that have different names than the matching mapping-specific headers.<\/p><div xmlns=\"\" class=\"container-warning notice\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/notice_white.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_notice\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290845_N103E8\">Don\'t use <code class=\"codeinline\">SET_HEADERS<\/code> to replace headers, because it clears the header store. Use <code class=\"codeinline\">REMOVE_HEADERS<\/code> followed by <code class=\"codeinline\">ADD_HEADERS<\/code> instead.  <\/p><\/div><\/div><\/div><\/div><\/div><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"><strong class=\"emphasis\">These control API commands should not be used to add cookies to the user\'s cookie store for the following reasons: <\/strong><\/li><li class=\"enum-element\">The resulting cookies would end up in <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span>\'s header store and not in the cookie store. Cookies in the header store are not handled according to the <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1583435032080.html\">application cookie<\/a>   section.<\/li><li class=\"enum-element\">There is a risk of adding the \"Cookie\" header more than once.<\/li><li class=\"enum-element\">The same cookie might exist twice, once in the cookie store and once in the header store. Depending on back-end behavior, strange errors might occur.<\/li><\/ul><p class=\"par\" id=\"1574686290845_N10410\">Instead, standard API commands of the applied programming language should be used to create the cookies. By doing this, the cookies are correctly added to <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span>\'s cookie store and not to the header store. More information about <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span>\'s cookie handling is available in the <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1583435032080.html\">application cookies<\/a> section. <\/p><p class=\"par\" id=\"1574686290845_N10421\"><strong class=\"emphasis\">Example:<\/strong><br\/>The <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1574686290855.html\">pseudo code<\/a> example below shows how to add HTTP headers using the control API: <\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290845_N100A2\"><i class=\"italics\">Pseudo code:<\/i><\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100A5\"><code class=\"codeinline\">response.header=\"Set-Cookie: AL_CONTROL=\"+<span class=\"dialog\">URL_Encode(<\/span>\"ADD_HEADERS=\"+<span class=\"dialog\">URL_Encode(<\/span>\"X-Auth-Header: jsmith\"<span class=\"dialog\">)<\/span>+\"@mapping1,\"+<span class=\"dialog\">URL_Encode(<\/span>\"X-Auth2-Header: john_smith\"<span class=\"dialog\">)<\/span>+\"@mapping2\"<span class=\"dialog\">)<\/span><\/code><\/pre><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290845_N100A7\">Results in:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100AA\"><code class=\"codeinline\">Set-Cookie: AL_CONTROL=ADD_HEADERS%3DX-Auth-Header%253A%2520jsmith%40mapping1%2CX-Auth2-Header%253A%2520john_smith%40mapping2<\/code><\/pre><\/div><\/div><\/div><\/div><\/div><p class=\"par\" id=\"1574686290845_N10451\">In the example, the HTTP header \"<code class=\"codeinline\">X-Auth-Header: jsmith<\/code>\" is added for all back-end requests on mapping <code class=\"codeinline\">mapping1<\/code>. The HTTP header \"<code class=\"codeinline\">X-Auth2-Header: john_smith<\/code>\" is added for back-end requests on mapping <code class=\"codeinline\">mapping2<\/code>. <\/p><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';