var m_1574686290851Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Authentication workflow<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1574686290851\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Authentication workflow<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1574686290851_N1053D\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1574686290851_N1053E\">Normally, the response of a one-shot request is not sent to the client. With the control API command <code class=\"codeinline\">AUTH_WORKFLOW<\/code> it is possible to change this behavior.<\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\"><code class=\"codeinline\">FINAL_RESPONSE<\/code> \u2013 use the response of the one-shot request as the final response and send it to the client.<\/li><li class=\"enum-element\"><code class=\"codeinline\">CONTINUE<\/code> \u2013 discard the response of the one-shot request and continue with the actual request (default).<\/li><\/ul><p class=\"par\" id=\"1574686290851_N1054A\"><strong class=\"emphasis\">The command syntax is: <\/strong><\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1054C\">;; AUTH_WORKFLOW\r\nauth-workflow-command        = auth-workflow-command-name \"=\" auth-workflow-command-value\r\nauth-workflow-command-name   = \"AUTH_WORKFLOW\"\r\nauth-workflow-command-value  = \"FINAL_RESPONSE\" | \"CONTINUE\"<\/pre><\/div><\/div><\/div><\/div><\/div><div xmlns=\"\" class=\"container-warning notice\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/notice_white.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_notice\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290851_N1054E\">The workflow command <code class=\"codeinline\">CONTINUE<\/code> is the default behavior and has the same effect as when the <code class=\"codeinline\">AUTH_WORKFLOW<\/code> command is omitted. This command is available since <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> 5.1. The behavior of older versions is the same as using the CONTINUE command.<\/p><\/div><\/div><\/div><\/div><\/div><p class=\"par\" id=\"1574686290851_N10554\"><strong class=\"emphasis\">Example:<\/strong><br\/>The <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1574686290855.html\">pseudo code<\/a> example below shows how to change the one-shot behavior to use the one-shot response as the final response of the request: <\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290851_N10045\">Pseudo code:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10047\"><code class=\"codeinline\">response.header=\"Set-Cookie: AL_CONTROL=\"+<span class=\"dialog\">URL_Encode(<\/span>\"AUTH_WORKFLOW=FINAL_RESPONSE\"<span class=\"dialog\">)<\/span><\/code><\/pre><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290851_N10048\">Results in:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1004A\"><code class=\"codeinline\">Set-Cookie: AL_CONTROL=AUTH_WORKFLOW%3DFINAL_RESPONSE<\/code><\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';