var m_1583435032090Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Configure and manage custom HTTP error pages<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1583435032090\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Configure and manage custom HTTP error pages<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1583435032090_N1002D\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Configuration of new custom error pages<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1583435032090_N10033\">The configuration of customized error pages is done by uploading a zip file containing all required files to the <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1571978527003.html\">Submenu \u2013 Error Pages<\/a>. <\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">The HTML files need to be organized and named in a special form so that Airlock Gateway can use them as error pages. <\/li><li class=\"enum-element\">If the HTML code of the error pages refers to images, style sheets, or other external files that are added to the archive, the corresponding HTTP links must be relative. All additional files have to be included in the zip file.<\/li><\/ul><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">It is possible to configure error pages globally for all virtual hosts or to configure specific error pages for certain virtual hosts:<\/li><li class=\"enum-element\">Airlock Gateway will prioritize error pages that are specific to the corresponding virtual host. <\/li><li class=\"enum-element\">If there is no host-specific error page, the version of the global error page is used, if configured. If none is configured, Airlock Gateway uses its generic error page.<\/li><\/ul><div xmlns=\"\" class=\"container-warning observe\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_observe\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1583435032052_N10A64\">Error pages generated by back-end applications may leak internal information about a system\'s setup and configuration (e.g. platform, system paths, stack traces, or deployed frameworks). Such information is valuable for potential attackers. <br\/>To prevent information leakage by default, Airlock Gateway replaces error pages generated by back-ends or ICAP services used in <span class=\"dialog\">Back-end View<\/span>. <\/p><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1583435032052_N10015\">If you disable error page replacement or configure replacement rules accordingly, the error pages of the back-ends will be displayed instead.<\/p><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1583435032090_N10091\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Naming of error pages and content of an error page zip file<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1583435032090_N100511648454279418\">A zip file with a clean and correctly named set of custom error pages can be downloaded using the <span class=\"dialog\">Download customization template<\/span> button.<\/p><p class=\"par\" id=\"1583435032090_N100A8\"><strong class=\"emphasis\">Error pages must be named as follows: <\/strong><\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100B0\">400.html\r\n401.html\r\n403.html\r\n404.html\r\n429.html\r\n500.html\r\n502.html\r\n503.html\r\nmaintenance.html  <\/pre><\/div><\/div><\/div><\/div><\/div><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">The zip file containing the error pages needs to be of the following form:<\/li><li class=\"enum-element\">The global error pages are on the top level of the archive i.e. not in a sub-directory. <\/li><li class=\"enum-element\">If there are virtual-host-specific error pages, there needs to be a directory that is named like the virtual host, e.g. <code class=\"codeinline\">www.webapp.virtinc.com<\/code>.<\/li><li class=\"enum-element\">The archive can contain image files, style sheets, etc. in the top-level or the corresponding virtual host directory. <\/li><\/ul><div xmlns=\"\" class=\"container-warning info\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/info_icon_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_info\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1583435032090_N1006B\">It is possible to add a colon-separated port number, e.g. <code class=\"codeinline\">www.webapp.virtinc.com:443<\/code>. This allows configuring different error pages for HTTP and HTTPS. Note that some operating systems do not support colon-separated filenames. <\/p><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1583435032090_N100E7\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Example for a mixed set of custom and global error pages<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1583435032090_N100B3\"><strong class=\"emphasis\">The following screenshot shows an uploaded example zip file with global and virtual-hosts-specific error pages:<\/strong><\/p><figure class=\"media\"><div class=\"media-theme\" id=\"1583435032090_N10100\"><img alt=\"custom error pages\" class=\"media-theme-img-tag png\" src=\"..\/media\/05_Media\/Screenshots\/GW\/Airlock_GW_Control_Center\/Reverse_Proxy\/custom_error_pages.theme\/1.2\/en-us.custom_error_pages_html.png\" style=\"width:;height:488px;border:0;\"\/><\/div><\/figure><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">The virtual host <span class=\"dialog\">www.webapp.virtinc.com<\/span> contains its own complete set of error pages and a specific logo they refer to.<\/li><li class=\"enum-element\">The virtual host <span class=\"dialog\">www.other.webapp.virtinc.com<\/span>, on the other hand, has its own error page only for error <code class=\"codeinline\">400<\/code> and uses the global ones for other error codes.<\/li><li class=\"enum-element\">All other virtual hosts use the global error pages plus a <code class=\"codeinline\">maintenance<\/code> page that are on the top level. A default CSS stylesheet and a favicon icon is also available in this example.<\/li><\/ul><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1583435032090_N100A7\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Steps to download, create and modify error pages<\/h2><\/div><\/header><div class=\" block-content-ct\"><ol class=\"enum-enum-instruction container-enum instruction fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"step\">If custom error pages are activated, click the <span class=\"dialog\">Download<\/span> button to download them in a zip file and use them as a starting point for modification. Alternatively, click <span class=\"dialog\">Download customization templates<\/span> to start with a clean set of error page templates.<\/li><li class=\"step\">Make your changes and upload your custom error pages in a zip file using the <span class=\"dialog\">Upload<\/span> button.<\/li><li class=\"step\">Activate the configuration with the <span class=\"dialog\">Activate<\/span> button. <\/li><\/ol><div xmlns=\"\" class=\"container-warning info\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/info_icon_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_info\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1583435032090_N1011C\">Uploading a new error-page zip file will replace all current files. Therefore, the error-page zip file must contain all required files.<\/p><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1583435032090_N100D1\">Custom error pages are part of the Airlock Gateway configuration and can be restored from older configuration files if available.<\/p><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1583435032090_N1008E\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Further information and links<\/h2><\/div><\/header><div class=\" block-content-ct\"><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">To manage error pages, see <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1571978527003.html\">Submenu \u2013 Error Pages<\/a>.<\/li><li class=\"enum-element\">For error page replacement, see <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1583435032052.html\">Section \u2013 Error page replacement<\/a>.<\/li><\/ul><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';