var m_1592920095542Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Action Types<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1592920095542\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Action Types<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1592920095542_N10005\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\"><\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1592920095542_N1002A\">There are several types of actions related to HTTP headers and HTTP cookies. Different fields are configurable per action, depending on the action type. For actions that require a matching header (e.g., type \"Rewrite Header Value\"), the two patterns for header name and header value must both match. If one pattern is empty, only the other pattern is considered. <\/p><p class=\"par\" id=\"1592920095542_N1002C\"> Note that <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1571978527013.html\">rewrite variables<\/a> and backreferences to matching groups may be used within all rewrite rules. <\/p><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1592920095542_N10040\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Add header<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1592920095542_N10041\">Adds the configured header unconditionally. Existing headers with the same name are not changed or removed. <\/p><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1592920095542_N10047\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Add missing header<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1592920095542_N10048\">Adds the configured header only if a header with the same name is not present. A header is considered present if its name (case-insensitively) equals the configured header name. <\/p><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1592920095542_N1004E\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Add or replace header<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1592920095542_N1004F\">Adds the configured header. If a header with the same name is already present, its value is replaced by the configured value. A header is considered present if its name (case-insensitively) equals the configured header name. <\/p><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1592920095542_N10055\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Remove header<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1592920095542_N10056\">The matching header is removed if the mapping\'s threat handling mode is \"Block\".<br\/> The matching header is not removed if the mapping\'s threat handling mode is \"Log only\". <\/p><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1592920095542_N1005E\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Header redirect<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1592920095542_N1005F\">A request is redirected if a header matches. This action type is only available for requests. A redirect status code must be specified for each entry. <\/p><p class=\"par\" id=\"1592920095542_N10082\"><strong class=\"emphasis\">These are the most important codes: <\/strong><\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\"><code class=\"codeinline\">301 Moved Permanently<\/code> - This and all future requests should be directed to the given URI.<\/li><li class=\"enum-element\"><code class=\"codeinline\">302 Found<\/code> - This is an example of industry practice contradicting the standard. The HTTP\/1.0 specification (RFC 1945) required the client to perform a temporary redirect (the original describing phrase was \"Moved Temporarily\"), but popular browsers implemented 302 with the functionality of a 303 See Other. Therefore, HTTP\/1.1 added status codes 303 and 307 to distinguish between the two behaviors. However, some Web applications and frameworks use the 302 status code as if it were the 303<\/li><li class=\"enum-element\"><code class=\"codeinline\">303 See Other<\/code> - The response to the request can be found under another URI using a GET method. When received in response to a POST (or PUT\/DELETE), it should be assumed that the server has received the data and the redirect should be issued with a separate GET message.<\/li><\/ul><p class=\"par\" id=\"1592920095542_N1006F\"> For a comprehensive list see <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/en.wikipedia.org\/wiki\/List_of_HTTP_status_codes#3xx_Redirection\" target=\"_blank\">here.<\/a><\/p><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1592920095542_N10087\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Geolocation redirect<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1592920095542_N10088\"> A request is redirected if its origin matches the specified geographical regions. This action type is only available for requests. A redirect status code must be specified for each entry (see action type \"Header Redirect\"). <\/p><p class=\"par\" id=\"1592920095542_N1008A\"> For each action, a list of origin continents and countries can be specified.<\/p><p class=\"par\" id=\"1592920095542_N1008C\"><strong class=\"emphasis\">The continent codes are:<\/strong><\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">AF: Africa<\/li><li class=\"enum-element\">AN: Antarctica<\/li><li class=\"enum-element\">AS: Asia<\/li><li class=\"enum-element\">EU: Europe<\/li><li class=\"enum-element\">NA: North America<\/li><li class=\"enum-element\">OC: Oceania<\/li><li class=\"enum-element\">SA: South America<\/li><\/ul><p class=\"par\" id=\"1592920095542_N1009E\"> The country codes correspond to the <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/en.wikipedia.org\/wiki\/ISO_3166-1_alpha-2\" target=\"_blank\">Alpha-2 codes in the ISO 3166-1 standard<\/a>. <\/p><p class=\"par\" id=\"1592920095542_N100B3\"> If more than one code is specified in a field, the rule applies if any of the regions is matched (OR combination). However, the continent and country conditions must both match in order for the request to be redirected (AND combination). The continent and country conditions can be inverted individually. <\/p><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1592920095542_N100B9\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Examples<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1592920095542_N100BA\"><strong class=\"emphasis\">Redirect all requests from the DACH region<\/strong>:<\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">Continent codes: empty<\/li><li class=\"enum-element\">Country codes: \"DE, CH, AT, LI\", not inverted<\/li><\/ul><p class=\"par\" id=\"1592920095542_N100C3\"><strong class=\"emphasis\">Redirect all requests from North and South America, except those from Brazil and Canada<\/strong>:<\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">Continent codes: \"NA, SA\", not inverted<\/li><li class=\"enum-element\">Country codes: \"BR, CA\", inverted<\/li><\/ul><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1592920095542_N100D0\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Rewrite header<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1592920095542_N100D1\">For matching headers, the value is replaced by the new value. <\/p><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1592920095542_N100D7\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Rewrite cookie<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1592920095542_N100D8\"><strong class=\"emphasis\"> For matching cookie names the following attributes can be changed:<\/strong><\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">Cookie Domain<\/li><li class=\"enum-element\">Cookie Path<\/li><li class=\"enum-element\">Cookie Secure Flag<br\/><strong class=\"emphasis\">Auto<\/strong>: the \"Secure\" attribute is set if HTTPS is enabled on the virtual host and disabled otherwise.<\/li><li class=\"enum-element\">Cookie HttpOnly Flag<br\/><strong class=\"emphasis\">Auto<\/strong>: the \u201EHttpOnly\u201C attribute is automatically set for encrypted cookies. For passthrough cookies, the \u201EHttpOnly\u201C attribute is not modified.<\/li><\/ul><p class=\"par\" id=\"1592920095542_N100ED\"> It is only possible to rewrite passthrough cookies and encrypted cookies. <\/p><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1592920095542_N100F3\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Rewrite raw cookie<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1592920095542_N100F4\">Matching Set-Cookie header values are rewritten. The whole value of the Set-Cookie header is rewritten. It is only possible to rewrite passthrough cookies and encrypted cookies. <\/p><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';