var m_1604477076517Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Allow Kerberos constrained delegation in a cross-domain setup<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1604477076517\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Allow Kerberos constrained delegation in a cross-domain setup<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1604477076517_N10006\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1604477076517_N10007\">Allow the system user to do Kerberos constrained delegation in a cross-domain setup. <\/p><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">Apply the corresponding section depending on where the SPN has been registered:<\/li><li class=\"enum-element\">SPN registered to a service user if <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1574686290008.html\">Register SPN for the service user<\/a> has been proceeded.<\/li><li class=\"enum-element\">SPN registered to a machine account if <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1574686290009.html\">Register SPN for the machine account<\/a> has been proceeded.<\/li><\/ul><\/div><\/div><\/article><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1604477076517_N1002D\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h2 class=\"headline-content\">SPN registered to a service user<\/h2><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1604477076517_N1000A\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h3 class=\"label-title label-title-block-description\">Procedure-related prerequisites<\/h3><\/div><\/header><div class=\" block-content-ct\"><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">The previously described configuration steps have been carried out.<\/li><\/ul><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">You need to run the commands with administrative permissions. Open PowerShell via <span class=\"dialog\">Run as administrator<\/span>.<\/li><\/ul><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">You need to be logged in as a domain administrator on a domain controller.<\/li><\/ul><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">Run the commands in the <strong class=\"emphasis\">Active Directory domain<\/strong> where the <strong class=\"emphasis\">Service user<\/strong> is a <strong class=\"emphasis\">member of<\/strong>.<\/li><\/ul><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1604477076517_N10035\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h3 class=\"label-title label-title-block-description\">Example values<\/h3><\/div><\/header><div class=\" block-content-ct\"><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">System user UPN: srv-airlock-kerberos@int.virtinc.com<\/li><li class=\"enum-element\">Service user UPN: srv-webapp@sub.int.virtinc.com<\/li><\/ul><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1604477076517_N10049\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h3 class=\"label-title label-title-block-description\">Instruction<\/h3><\/div><\/header><div class=\" block-content-ct\"><ol class=\"enum-enum-instruction container-enum instruction fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"step\">Run the following commands:<\/li><\/ol><div xmlns=\"\" class=\"container-buttons-notice\"><a class=\"actionButton actionButtonCopy\" href=\"#\">copy<\/a><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_commands\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1005A\"># Change these variables according to your environment\r\n$SysUserUPN = \"srv-airlock-kerberos@int.virtinc.com\"\r\n$SrvUserUPN = \"srv-webapp@sub.int.virtinc.com\"\r\n\r\n \r\n# Determine the system user\'s principle\r\n$DomainName     = $SysUserUPN.Remove(0,($SysUserUPN.IndexOf(\"@\")+1))\r\n$DomainDNSRoot  = (Get-ADDomain $DomainName).DNSRoot\r\n$SysUserPrinc   = Get-ADUser -Filter { UserPrincipalName -Like $SysUserUPN } `\r\n                       -Server $DomainDNSRoot\r\n\r\n\r\n# Allow KCD for the $resource (service user)\r\n$resource = Get-ADUser -Filter { UserPrincipalName -Like $SrvUserUPN } `\r\n              -Properties msDS-AllowedToActOnBehalfOfOtherIdentity\r\n $resource | Set-ADUser -PrincipalsAllowedToDelegateToAccount $SysUserPrinc\r\n<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1604477076517_N100E9\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h2 class=\"headline-content\">SPN registered to a machine account<\/h2><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1604477076517_N100EE\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h3 class=\"label-title label-title-block-description\">Procedure-related prerequisites<\/h3><\/div><\/header><div class=\" block-content-ct\"><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">The previously described configuration steps have been carried out.<\/li><\/ul><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">You need to run the commands with administrative permissions. Open PowerShell via <span class=\"dialog\">Run as administrator<\/span>.<\/li><\/ul><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">You need to be logged in as a domain administrator on a domain controller.<\/li><\/ul><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">Run the commands in the <strong class=\"emphasis\">Active Directory domain<\/strong> where the <strong class=\"emphasis\">Server<\/strong> is a <strong class=\"emphasis\">member of<\/strong>.<\/li><\/ul><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1604477076517_N100A3\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h3 class=\"label-title label-title-block-description\">Example values<\/h3><\/div><\/header><div class=\" block-content-ct\"><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">System user UPN: srv-airlock-kerberos@int.virtinc.com<\/li><li class=\"enum-element\">Server (machine account): server1<\/li><\/ul><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1604477076517_N100B6\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h3 class=\"label-title label-title-block-description\">Instruction<\/h3><\/div><\/header><div class=\" block-content-ct\"><ol class=\"enum-enum-instruction container-enum instruction fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"step\">Run the following commands:<\/li><\/ol><div xmlns=\"\" class=\"container-buttons-notice\"><a class=\"actionButton actionButtonCopy\" href=\"#\">copy<\/a><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_commands\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100C5\"># Change these variables according to your environment\r\n$SysUserUPN = \"srv-airlock-kerberos@int.virtinc.com\"\r\n$Server     = \"server1\"\r\n\r\n \r\n# Determine the system user\'s principle\r\n$DomainName     = $SysUserUPN.Remove(0,($SysUserUPN.IndexOf(\"@\")+1))\r\n$DomainDNSRoot  = (Get-ADDomain $DomainName).DNSRoot\r\n$SysUserPrinc   = Get-ADUser -Filter { UserPrincipalName -Like $SysUserUPN } `\r\n                       -Server $DomainDNSRoot\r\n\r\n\r\n# Allow KCD for the $resource (server)\r\n$resource = Get-ADComputer -Filter { Name -Like $Server } `\r\n              -Properties msDS-AllowedToActOnBehalfOfOtherIdentity\r\n $resource | Set-ADComputer -PrincipalsAllowedToDelegateToAccount  $SysUserPrinc\r\n<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1604477076517_N10135\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Further information and links<\/h2><\/div><\/header><div class=\" block-content-ct\"><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1574686290007.html\">Register SPN<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/purple.telstra.com.au\/blog\/kerberos-constrained-delegation\" target=\"_blank\">(Telstra) Resource Based Kerberos Constrained Delegation<\/a><\/li><\/ul><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';