var m_1633595303604Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Cookie handling and cookie types<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1633595303604\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Cookie handling and cookie types<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1633595303604_N10005\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1633595303604_N1000C\">HTTP is a stateless protocol, which means that no state or persistent information is stored and each request is executed independently. By using cookies to store and exchange information between requests, session-based HTTP\/HTTPS communication can be established, which is both beneficial and convenient for the user experience.<\/p><p class=\"par\" id=\"1633595303604_N10008\">Cookies can be stored temporarily for only a single session, or persistent to be used to keep information between different sessions to allow for a session-spanning experience. The difference between temporary cookies and permanent cookies is, that persistent cookies have an expiry date and are stored on the disk while temporary cookies are kept in memory.<\/p><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">Temporary and persistent cookies can be used for example to:<\/li><li class=\"enum-element\">(persistent) store user preferences or the content of a shopping cart.<\/li><li class=\"enum-element\">(persistent) restore user preferences and language settings.<\/li><li class=\"enum-element\">(persistent) keep the login status of a user (see also IAM Remember-me functionality).<\/li><li class=\"enum-element\">(temporary) session cookies.<\/li><\/ul><p class=\"par\" id=\"1633595303604_N100231637920121294\"><strong class=\"emphasis\">The web applications and the gateway create dedicated cookies for various purposes:<\/strong><\/p><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">Web application cookies from a back-end:<\/li><li class=\"enum-element\">Temporary cookies e.g. session cookies.<\/li><li class=\"enum-element\">Persistent cookies e.g. cookies with user preferences, the content of a shopping cart, or the login status of a user (see also IAM Remember-me functionality).<\/li><\/ul><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">Gateway cookies:<\/li><li class=\"enum-element\">Between client and gateway<\/li><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">Gateway session cookies<\/li><li class=\"enum-element\">Load balancing cookies<\/li><\/ul><li class=\"enum-element\">Between gateway and web application<\/li><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">Control cookies, created by the web application<\/li><li class=\"enum-element\">Environment cookies, created by the gateway<\/li><\/ul><\/ul><p class=\"par\" id=\"1633595303604_N1000D\">In the simplest configuration, without a gateway between the client\'s browser and the web application, cookies created by the web application are sent with every request between the browser and the web application. This potentially allows attackers to steal and misuse personal cookie information or could lead to other risks like cross-site scripting (XSS) or cross-site-request-forgery (CSRF) attacks.<\/p><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1633595303604_N100231637845517554\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Gateway with session handling enabled <\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1633595303604_N1000A\"><span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> session handling secures the handling of cookies by using a cookie store in a Redis database. In this store, application cookies are kept and a gateway-generated session cookie is linked to these application cookies. The session cookie is used to look up the users\' web application cookies and attach them in every request to the back-end application. That way personal and sensitive data will never leave the cookie store\/the gateway. <\/p><p class=\"par\" id=\"1633595303604_N10056\">A single Airlock session cookie may be linked to a large number of application cookies in the gateways cookie store. For example, the Airlock session cookie is linked to the web application cookie but may also be linked to an unlimited number of other web application cookies that e.g. may hold the user\'s default language settings, shopping cart information, remember-me status, and others.<\/p><figure class=\"media\"><div class=\"media-theme\" id=\"1633595303604_N1004A\"><img alt=\"cookie handling gateway\" class=\"media-theme-img-tag drawio\" src=\"..\/media\/05_Media\/Vector_drawings\/Airlock_Gateway\/5742.cookie_handling_gateway.theme\/1.3\/en-us.5742.cookie_handling_gateway_original.svg\" style=\"width:;height:643px;border:0;\"\/><\/div><\/figure><p class=\"par\" id=\"1633595303604_N1008B\">An exemplary Cookie Store look-up table for different AL_SESS cookies may show the following entries:<\/p><table border=\"0\" cellspacing=\"0\" class=\"table table table- table-block-description table-\" id=\"1633595303604_N1008E\"><col style=\"width:10%;\"\/><col style=\"width:10%;\"\/><col style=\"width:15%;\"\/><thead class=\"thead\"><tr class=\"table-row\"><th class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-firstrow table-header table-header-horizontal table-cell-col-odd-\"><div><p class=\"par\" id=\"1633595303604_N100A4\">AL_SESS value<\/p><\/div><\/th><th class=\"table-cell table-cell table-cell-odd table-cell-firstrow table-header table-header-horizontal table-cell-innercol table-cell-col-even-\"><div><p class=\"par\" id=\"1633595303604_N100A9\">Session ID<\/p><\/div><\/th><th class=\"table-cell table-cell table-cell-odd table-cell-firstrow table-cell-lastcolumn table-header table-header-horizontal table-cell-col-odd-\"><div><p class=\"par\" id=\"1633595303604_N100AE\">Cookie Store<\/p><\/div><\/th><\/tr><\/thead><tbody class=\"tbody\"><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\" rowspan=\"3\"><div><p class=\"par\" id=\"1633595303604_N100B5\">657fd545<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-innerrow table-cell-innercol table-cell-col-even-\" rowspan=\"3\"><div><p class=\"par\" id=\"1633595303604_N100BB\">3450ae3<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1633595303604_N100C0\">JSESSIONID=7<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-odd table-cell-lastcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1633595303604_N100C6\">OTHER_COOKIE=gf<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-lastcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1633595303604_N100CC\">IAM_COOKIE=jdoe<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\" rowspan=\"3\"><div><p class=\"par\" id=\"1633595303604_N100D31639030835244\">45665345<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-innerrow table-cell-innercol table-cell-col-even-\" rowspan=\"3\"><div><p class=\"par\" id=\"1633595303604_N100D91639030835244\">240e31a<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-lastcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1633595303604_N100DE\">JSESSIONID=2<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-lastcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1633595303604_N100E4\">OTHER_COOKIE=da<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-odd table-cell-lastcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1633595303604_N100EA1639030835244\">IAM_COOKIE=foo<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-firstcolumn table-cell-lastrow table-cell-innerrow table-cell-col-odd-\" rowspan=\"3\"><div><p class=\"par\" id=\"1633595303604_N100F0\">9r7fd525<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastrow table-cell-innerrow table-cell-innercol table-cell-col-even-\" rowspan=\"3\"><div><p class=\"par\" id=\"1633595303604_N100F51639030835244\">475d4ba<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1633595303604_N100FA1639030835244\">JSESSIONID=12<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-odd table-cell-lastcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1633595303604_N101061639030835244\">OTHER_COOKIE=kk<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-lastrow table-cell-lastcolumn table-cell-col-odd-\"><div><p class=\"par\" id=\"1633595303604_N101121639030835244\">IAM_COOKIE=everyman<\/p><\/div><\/td><\/tr><\/tbody><\/table><p class=\"par\" id=\"1633595303604_N1008F\">As we can see, user <i class=\"italics\">jdoe<\/i> from the above graphic has a unique <code class=\"codeinline\">AL_SESS<\/code> value <i class=\"italics\">657fd545 <\/i>that is associated with a specific session id. Within this session some cookies are stored like <code class=\"codeinline\">JSESSIONID<\/code> <i class=\"italics\">7<\/i>. Other users have their other session and most likely differnt cookies in the cookie store.<\/p><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1633595303604_N10111\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">About the gateway cookie store<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1633595303604_N100BC\">By default, cookies set by your application are saved in the current session\'s cookie store. These internal cookies never reach the user client but are kept and managed by the gateway for each active session.<\/p><p class=\"par\" id=\"1633595303604_N100BE\">Note that some cookies such as control cookies, encrypted cookies, and passthrough cookies are not saved in the cookie store.<\/p><div xmlns=\"\" class=\"container-warning notice\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/notice_white.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_notice\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1633595303604_N100C1\">To avoid storing the same cookie multiple times, the gateway compares the cookie name, domain, and cookie path. Two cookies are considered to be the same if all three values are equal.<\/p><\/div><\/div><\/div><\/div><\/div><p class=\"par\" id=\"1633595303604_N100C3\">Different from the normal browser behavior, stored cookies are sent to all back-ends. You can enable browser-like handling of cookies with the option <i class=\"italics\">Interpret cookie domains in cookie store<\/i>. When enabled, the gateway will interpret the cookie domain and cookie path information. See also section <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-detail\" href=\"..\/data\/1583435032080.html#1583435032080_N10125\">Interpret cookie domain in cookie store<\/a>.<\/p><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">Browser-like handling is based upon the following attributes:<\/li><li class=\"enum-element\"><strong class=\"emphasis\">Cookie origin<\/strong> \u2013 This attribute is set automatically to the hostname of the server this cookie originates. If this is the only attribute set, the cookie is sent with requests to its origin server.<\/li><li class=\"enum-element\"><strong class=\"emphasis\">Cookie domain<\/strong> \u2013 This attribute may be set by the web application. It defines the domain within which this cookie is valid. In this case, cookies are not only sent to their origin server but also to all other servers in the given domain.<\/li><li class=\"enum-element\"><strong class=\"emphasis\">Cookie path<\/strong> \u2013 This attribute is set by the web application and restricts the use of this cookie to the given path. Assuming the cookie would be sent because of the origin and domain values, it might be retained when the path attribute doesn\'t match the request\'s path.<\/li><li class=\"enum-element\"><strong class=\"emphasis\">Cookie port <\/strong> \u2013 The port is not utilized.<\/li><\/ul><div xmlns=\"\" class=\"container-warning info\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/info_icon_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_info\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1633595303604_N100ED\">On a cookie domain match, the domain is part of the cookie domain information of the requested host. For example the domain <i class=\"italics\">.foo.net<\/i> matches <i class=\"italics\">host1.foo.net<\/i>, and <i class=\"italics\">host2.other.foo.net<\/i>.<\/p><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1633595303604_N100F3\">A cookie path match means that the cookie path is a prefix of the path requested. For example the cookie path <i class=\"italics\">\/info<\/i> matches against <i class=\"italics\">\/info\/news.html<\/i>, and <i class=\"italics\">\/info\/old\/deprecated.html<\/i>.<\/p><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1633595303604_N100D0\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Cookies bypassing the cookie store<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1633595303604_N100D3\">Some web application functionalities may require bypassing the original cookie from the web application to the client\'s browser and not keeping them in the cookie store. That means these pass-through cookies are passed from the back-end to the user client and vice versa. <\/p><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">Possible use cases of pass-through cookies are:<\/li><li class=\"enum-element\">When cookies are client-side generated.<\/li><li class=\"enum-element\">When client-side applications need to be able to read the cookie content, like for build-int CSRF protection.<\/li><\/ul><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"> The options for pass-through cookies are: <\/li><li class=\"enum-element\">Plain, unencrypted cookies can be configured under <span class=\"dialog\">Passthrough cookies<\/span>.<\/li><li class=\"enum-element\">Encrypted cookies can be configured under <span class=\"dialog\">Encrypted cookies<\/span>.<\/li><\/ul><p class=\"par\" id=\"1633595303604_N1007E\">By default, both types of cookie handling are disabled and can be configured on the <span class=\"dialog\">Basic<\/span> tab for each mapping. In case some web application functions do not work as expected, consult the gateways log messages to find out if and which cookies must be bypassed and change the gateway configuration accordingly. <\/p><div xmlns=\"\" class=\"container-warning observe\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_observe\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1633595303604_N10086\">If pass-through cookies must be configured, encrypted cookies should be preferred over plain cookies. It is more secure and reduces the attack vector. Encryption should be configured to store all application cookies types with a long-living information payload where the client logic does not read and modify its data. These typically are persistent cookies that carry user preferences like the user\'s country or language and must therefore live longer than the gateway session.<\/p><\/div><\/div><\/div><\/div><\/div><p class=\"par\" id=\"1633595303604_N1008C\">Note that in pass-through cookies, the cookie domain is modified according to the corresponding settings in the virtual host. Each cookie matching the configured regular expression will be sent through the gateway to the user client. These cookies are accepted by the gateway and sent without changes to the back-end.<\/p><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">If pass-through cookies is enabled, cookie attributes can be modified by the gateway using <span class=\"dialog\">Response Actions<\/span>. Possible reasons for cookie manipulation may be:<\/li><li class=\"enum-element\">Asymmetric mappings, where the cookie path needs correction.<\/li><li class=\"enum-element\">Security attribute like the HTTP Only or Secure flag that need to be adapted. Either to increase the security or that the web application works in front of the gateway.<\/li><\/ul><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1633595303604_N10022\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Cookie types<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1633595303604_N1010B\">From clientside <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> accepts only its own cookies for session handling and load-balancing as well as passthrough cookies and encrypted cookies. All other cookies are rated as unexpected and will be discarded.<\/p><figure class=\"media\"><div class=\"media-theme\" id=\"1633595303604_N10126\"><img alt=\"Application (cookies)\" class=\"media-theme-img-tag png\" src=\"..\/media\/05_Media\/Screenshots\/GW\/Airlock_GW_Control_Center\/Reverse_Proxy\/Mapping_details_page\/Application_(cookies).theme\/1.2\/en-us.Application_(cookies)_html.png\" style=\"width:;height:355px;border:0;\"\/><\/div><\/figure><table border=\"0\" cellspacing=\"0\" class=\"table table table- table-block-description table-\" id=\"1633595303604_N100D9\"><col style=\"width:15%;\"\/><col style=\"width:40%;\"\/><col style=\"width:45%;\"\/><thead class=\"thead\"><tr class=\"table-row\"><th class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-firstrow table-header table-header-horizontal table-cell-col-odd-\"><div><p class=\"par\" id=\"1633595303604_N100F91637849790210\">Cookie name<\/p><\/div><\/th><th class=\"table-cell table-cell table-cell-odd table-cell-firstrow table-header table-header-horizontal table-cell-innercol table-cell-col-even-\"><div><p class=\"par\" id=\"1633595303604_N100FF1637849790210\">Description<\/p><\/div><\/th><th class=\"table-cell table-cell table-cell-odd table-cell-firstrow table-cell-lastcolumn table-header table-header-horizontal table-cell-col-odd-\"><div><p class=\"par\" id=\"1633595303604_N101051637849790210\">Example\/usage<\/p><\/div><\/th><\/tr><\/thead><tbody class=\"tbody\"><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1633595303604_N101EE\">Load balancing cookies<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-innerrow table-cell-innercol table-cell-col-even-\"><div><p class=\"par\" id=\"1633595303604_N1018B\">This cookie contains the information which back-end is handling an user\'s session to ensure session affinity.<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastcolumn table-cell-innerrow table-cell-col-odd-\"><div><ul class=\"enum-enum-instruction container-enum enum-standard standard first last\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">Example of a load balancing cookie:<\/li><li class=\"enum-element\"><code class=\"codeinline\">AL_BALANCE-S=$xc\/jKSE...<\/code><\/li><\/ul><p class=\"par\" id=\"1633595303604_N10197\">When <span class=\"dialog\">Enforce session<\/span> is enabled, session affinity is ensured no matter if <span class=\"dialog\">Load balancing cookies<\/span> is enabled or not. To ensure that sessionless mappings have session affinity, this setting can be enabled.<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1633595303604_N1012E\">Control API cookies<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-innerrow table-cell-innercol table-cell-col-even-\"><div><p class=\"par\" id=\"1633595303604_N10134\">Control cookies allow an application to execute Control API commands. <\/p><p class=\"par\" id=\"1633595303604_N1013D\">The cookie prefix is set up in the Expert Settings. Cookies can be enabled in the mapping configuration.<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-lastcolumn table-cell-innerrow table-cell-col-odd-\"><div><ul class=\"enum-enum-instruction container-enum enum-standard standard first last\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">Example of a gateway control cookie that terminates a session:<\/li><li class=\"enum-element\"><code class=\"codeinline\">AL_CONTROL=SESSION%3DTERMINATE<\/code><\/li><\/ul><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1633595303604_N1010D\">Environment cookies<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-innerrow table-cell-innercol table-cell-col-even-\"><div><p class=\"par\" id=\"1633595303604_N10113\">Environment cookies are internally used to send information to the back-end.<\/p><p class=\"par\" id=\"1633595303604_N100EC\">The cookie prefix is set up in the Expert Settings. Cookies can be enabled in the mapping configuration.<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastcolumn table-cell-innerrow table-cell-col-odd-\"><div><ul class=\"enum-enum-instruction container-enum enum-standard standard first last\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">Example of a cookie with request header sent from the gateway to an application:<\/li><li class=\"enum-element\"><code class=\"codeinline\">AL_ENV_REMOTE_ADDR=213.144.135.98<\/code><\/li><\/ul><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1633595303604_N101A9\">Encrypted cookies<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-innerrow table-cell-innercol table-cell-col-even-\"><div><p class=\"par\" id=\"1633595303604_N101AF\">This is a pass-through cookie type.<\/p><p class=\"par\" id=\"1633595303604_N101B3\">This cookie type is encrypted to protect your web application from cookie manipulation. When using encrypted cookies, an attacker is no longer able to read nor manipulate the contents of your cookies.<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-lastcolumn table-cell-innerrow table-cell-col-odd-\"><div><ul class=\"enum-enum-instruction container-enum enum-standard standard first last\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">The gateway recognizes these cookies with the <span class=\"dialog\">Encrypted cookie regular expression<\/span> mapping settings:<\/li><li class=\"enum-element\">All cookies with a matching cookie name will be encrypted before being sent to the client\'s web browser.<\/li><li class=\"enum-element\">Incoming encrypted cookies are automatically decrypted before being sent to the web application.<\/li><\/ul><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-firstcolumn table-cell-lastrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1633595303604_N101CE\">Passthrough cookies<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastrow table-cell-innercol table-cell-col-even-\"><div><p class=\"par\" id=\"1633595303604_N101D4\">This is a pass-through cookie type.<\/p><p class=\"par\" id=\"1633595303604_N101D6\">This cookie type is plain (not encrypted) and the gateway does not protect your web application from cookie manipulation. <\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastrow table-cell-lastcolumn table-cell-col-odd-\"><div><ul class=\"enum-enum-instruction container-enum enum-standard standard first last\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">The gateway recognizes these cookies with the <span class=\"dialog\">Passthrough cookie regular expression<\/span> mapping settings:<\/li><li class=\"enum-element\">All cookies with a matching cookie name will be directly sent to the client\'s web browser.<\/li><li class=\"enum-element\">Incoming cookies are directly sent to the web application.<\/li><\/ul><\/div><\/td><\/tr><\/tbody><\/table><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1633595303604_N1016D\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Further information and links<\/h2><\/div><\/header><div class=\" block-content-ct\"><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"><strong class=\"emphasis\">Internal links:<\/strong><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1571978527047.html\">Control API<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1583435032078.html\">Cookie security attributes<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1571978527048.html\">Environment cookies<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1592920095546.html\">Handling of special headers<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1583435032076.html\">Section \u2013 Cookies and (CSRF) Tokens<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1583435032080.html\">Section \u2013 Application Cookies<\/a><\/li><\/ul><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';