var m_1683824572174Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>GraphQL integration<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1683824572174\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">GraphQL integration<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1683824572174_N10008\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\"><\/h2><\/div><\/header><div class=\" block-content-ct\"><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">GraphQL queries, variables and operation names can be extracted from  different sources:<\/li><li class=\"enum-element\">HTTP query parameters <\/li><li class=\"enum-element\">JSON bodies <\/li><li class=\"enum-element\">Bodies of content type <code class=\"codeinline\">application\/graphql<\/code><\/li><\/ul><p class=\"par\" id=\"1683824572174_N10009\"><strong class=\"emphasis\">Step 1<\/strong> of this article describes a simple GraphQL example integration with limits configuration and request-check against deny rules. This part covers the basic configuration. <\/p><p class=\"par\" id=\"1683824572174_N1000F\"><strong class=\"emphasis\">Step 2<\/strong> of this article describes how to create exceptions using policy learning. This requires working with log messages to find and eliminate the cause of problems.<\/p><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1683824572174_N10029\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Step 1 \u2013 Configure GraphQL and Limits<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1683824572174_N10010\"> Start by activating the <span class=\"dialog\">Log only<\/span> mode in the GraphQL enforcement settings on the mapping detail page to collect a reasonable number of logs in preparation.<\/p><ol class=\"enum-enum-instruction container-enum instruction fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"step\">Go to:<br\/><span class=\"dialog\">Application Firewall<\/span> &gt;&gt; <span class=\"dialog\">API Security<\/span> &gt;&gt; section <span class=\"dialog\">GraphQL<\/span><\/li><li class=\"step\">Upload a GraphQL schema that is compatible with <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/spec.graphql.org\/October2021\/#SchemaDefinition\" target=\"_blank\">GraphQL schema definition (Oct. 2021)<\/a>.<\/li><li class=\"step\">Change to:<br\/><span class=\"dialog\">Application Firewall<\/span> &gt;&gt; <span class=\"dialog\">Reverse Proxy<\/span> and choose a mapping for editing.<\/li><li class=\"step\">On the mapping detail page, select the tab <span class=\"dialog\">API Security<\/span>.<\/li><li class=\"step\">In the <span class=\"dialog\">GraphQL<\/span> section, enable the following options:<\/li><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">Enable parser<\/li><li class=\"enum-element\">Log only<\/li><li class=\"enum-element\">Check values with deny rules<\/li><li class=\"enum-element\">Enforce schema (and select the uploaded GraphQL schema)<\/li><\/ul><li class=\"step\">Change to the <span class=\"dialog\">Limits<\/span> tab and enable <span class=\"dialog\">GraphQL Limits<\/span> checks.<\/li><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">Set the limit values carefully to minimize the risk of DoS attacks \u2013 we recommend using the default values as a starting point. <\/li><li class=\"enum-element\">Consider reducing the <span class=\"dialog\">Max query nesting depth<\/span> if you notice high loads on your target system due to GraphQL requests.<\/li><\/ul><li class=\"step\">Activate the new configuration.<\/li><li class=\"step result\">GraphQL requests may now generate log messages (even blocks caused by deny rules) with the parameter name <code class=\"codeinline\">#graphql#<\/code>.<\/li><\/ol><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1683824572174_N1005D\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Step 2 \u2013 Create deny rule exceptions using policy learning<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1683824572174_N10060\">In <span class=\"dialog\">Log only<\/span> mode and with the settings above, GraphQL-related checks like syntax errors will not lead to blocks. However, with <span class=\"dialog\">Check values with deny rules<\/span> enabled, the Security Gate still enforces the current deny rules. If you encounter false positives, use the <span class=\"dialog\">Policy Learning<\/span> feature to create exceptions to deny rules.<\/p><ol class=\"enum-enum-instruction container-enum instruction fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"step\">Got to:<br\/><span class=\"dialog\">Application Firewall<\/span> &gt;&gt; <span class=\"dialog\">Policy Learning<\/span><\/li><li class=\"step\">If the GraqhQL query is sent in a <i class=\"italics\">JSON body<\/i>, check for JSON blocks and create deny rule exceptions as required. Look for blocks with parameter name <code class=\"codeinline\">#json#<\/code>.<\/li><p class=\"par\" id=\"1683824572174_N100BF\"><strong class=\"emphasis\">OR<\/strong><\/p><li class=\"step\">If the GraqhQL query is sent in <i class=\"italics\">query parameters<\/i>, check for blocks with the query parameter names  <code class=\"codeinline\">query<\/code>, <code class=\"codeinline\">variables<\/code> , or <code class=\"codeinline\">operationName<\/code> and create deny rule exceptions as required.<\/li><li class=\"step\">To check for GraphQL blocks, look for blocks with parameter name <code class=\"codeinline\">#graphql#<\/code> and create GraphQL deny rule exceptions as required.<\/li><li class=\"step\">Activate the new configuration.<\/li><li class=\"step\">Re-check the log messages and disable the GraphQL log-only mode on the mapping when the logs don\'t show false positives.<\/li><\/ol><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1683824572174_N10159\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Further information and links<\/h2><\/div><\/header><div class=\" block-content-ct\"><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"><strong class=\"emphasis\">Internal links:<\/strong><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1681413668588.html\">Section \u2013 GraphQL<\/a><\/li><li class=\"enum-element\">(Schema upload) <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1681413668592.html\">Section \u2013 GraphQL Schema<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1681413668994.html\">Section \u2013 GraphQL Limits<\/a><\/li><li class=\"enum-element\">(API Security settings) <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1681413668592.html\">Section \u2013 GraphQL Schema<\/a><\/li><\/ul><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"><strong class=\"emphasis\">External links:<\/strong><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/graphql.org\/learn\/queries\/#mutations\" target=\"_blank\">GraphQL mutations<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/graphql.org\/learn\/introspection\/\" target=\"_blank\">GraphQL introspection<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/spec.graphql.org\/October2021\/#SchemaDefinition\" target=\"_blank\">GraphQL schema definition (Oct. 2021)<\/a><\/li><\/ul><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';